com.tibco.n2.service.adapter.binding

## Interface BusinessDataServicesAdminService

- All Known Implementing Classes:
    BusinessDataServicesAdminService

      public interface BusinessDataServicesAdminService

  Interface to provide the `BusinessDataServicesAdminService` methods.

  This service provides interfaces to allow a BDS Global Data Models to be manipulated

  COPYRIGHT: (C) 2013 TIBCO Software Inc. All Rights Reserved.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.GetAuditInfoResponseType` | `getAuditInfo(long caseModelID)` Returns information about the Audit of the given ID.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo()` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, java.lang.String[] caseClassArray)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, java.lang.String[] caseClassArray, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, java.lang.String[] caseClassArray)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, java.lang.String[] caseClassArray, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseModelType[]` | `getCaseModel(java.lang.String appName)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `com.tibco.bds.api.CaseModelBasicInfoType[]` | `getCaseModelBasicInfo(java.lang.String appName)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `org.apache.xmlbeans.XmlObject` | `notifyDDLExecution(long caseModelID, com.tibco.bds.api.DBScriptActionEnum.Enum databaseScriptAction, boolean skipValidation, com.tibco.bds.api.OperationDetailsType operationDetails)` Used to notify the BDS component that the COMBINED DROP script has been run for a CaseModel
    `org.apache.xmlbeans.XmlObject` | `updateDBScripts(long caseModelID, java.lang.String createScript, java.lang.String updateScript, java.lang.String dropScript, com.tibco.bds.api.OperationDetailsType operationDetails)` Gives the BDS component a revised Create and/or Update script and/or Drop Script for the CaseModel.

- - ### Method Detail

    - #### getCaseModelBasicInfo

          com.tibco.bds.api.CaseModelBasicInfoType[] getCaseModelBasicInfo(java.lang.String appName)
                                                                    throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                           com.tibco.bds.services.InternalServiceFault,
                                                                           com.tibco.bds.services.SecurityFault,
                                                                           com.tibco.bds.services.CaseDataAccessFault

      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Parameters:
        `String` - Application Name
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseModel

          com.tibco.bds.api.CaseModelType[] getCaseModel(java.lang.String appName)
                                                  throws com.tibco.bds.services.InvalidCaseModelFault,
                                                         com.tibco.bds.services.InternalServiceFault,
                                                         com.tibco.bds.services.SecurityFault,
                                                         com.tibco.bds.services.CaseDataAccessFault

      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Parameters:
        `String` - Application Name
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### updateDBScripts

          org.apache.xmlbeans.XmlObject updateDBScripts(long caseModelID,
                                                        java.lang.String createScript,
                                                        java.lang.String updateScript,
                                                        java.lang.String dropScript,
                                                        com.tibco.bds.api.OperationDetailsType operationDetails)
                                                 throws com.tibco.bds.services.InvalidCaseModelFault,
                                                        com.tibco.bds.services.InternalServiceFault,
                                                        com.tibco.bds.services.SecurityFault,
                                                        com.tibco.bds.services.CaseDataAccessFault,
                                                        com.tibco.bds.services.CaseModelIncorrectStateFault

      Gives the BDS component a revised Create and/or Update script and/or Drop Script for the CaseModel. If only one script is being changed then null can be passed for the other scripts.
      Parameters:
        `long` - Case Model ID
        `String` - Create script
        `String` - Update script
        `OperationDetailsType` - Operation details
      Returns:
        none
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelIncorrectStateFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### notifyDDLExecution

          org.apache.xmlbeans.XmlObject notifyDDLExecution(long caseModelID,
                                                           com.tibco.bds.api.DBScriptActionEnum.Enum databaseScriptAction,
                                                           boolean skipValidation,
                                                           com.tibco.bds.api.OperationDetailsType operationDetails)
                                                    throws com.tibco.bds.services.InvalidCaseModelFault,
                                                           com.tibco.bds.services.InternalServiceFault,
                                                           com.tibco.bds.services.SecurityFault,
                                                           com.tibco.bds.services.CaseDataAccessFault,
                                                           com.tibco.bds.services.CaseModelIncorrectStateFault

      Used to notify the BDS component that the COMBINED DROP script has been run for a CaseModel
      Parameters:
        `CaseModelDDLExecutionDetailsType` - caseModelDDLExecutionDetails
        `boolean` - skipValidation
      Returns:
        none
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelIncorrectStateFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getAuditInfo

          com.tibco.bds.api.GetAuditInfoResponseType getAuditInfo(long caseModelID)
                                                           throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                  com.tibco.bds.services.InternalServiceFault,
                                                                  com.tibco.bds.services.SecurityFault,
                                                                  com.tibco.bds.services.CaseDataAccessFault

      Returns information about the Audit of the given ID.
      Parameters:
        `long` - Case Model ID
      Returns:
        GetAuditInfoResponseType
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo()
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(boolean includeLabels,
                                                             boolean includeAttributes,
                                                             boolean includeGlobalObjectAttributes,
                                                             boolean includeAppDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `appDetails` - details of the app containing the case classes
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                             boolean includeLabels,
                                                             boolean includeAttributes,
                                                             boolean includeGlobalObjectAttributes,
                                                             boolean includeAppDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `appDetails` - details of the app containing the case classes
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                             java.lang.String[] caseClassArray)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `appDetails` - details of the app containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the app)
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                             java.lang.String[] caseClassArray,
                                                             boolean includeLabels,
                                                             boolean includeAttributes,
                                                             boolean includeGlobalObjectAttributes,
                                                             boolean includeAppDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `appDetails` - details of the app containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the app)
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                             boolean includeLabels,
                                                             boolean includeAttributes,
                                                             boolean includeGlobalObjectAttributes,
                                                             boolean includeAppDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                             java.lang.String[] caseClassArray)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the case model)
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

    - #### getCaseClassInfo

          com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                             java.lang.String[] caseClassArray,
                                                             boolean includeLabels,
                                                             boolean includeAttributes,
                                                             boolean includeGlobalObjectAttributes,
                                                             boolean includeAppDetails)
                                                      throws com.tibco.bds.services.InvalidCaseModelFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault,
                                                             com.tibco.bds.services.CaseDataAccessFault

      Gets details of case classes and their searchable attributes.
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the case model)
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.